import javax.swing.JOptionPane;

/** Un borsellino contiene le monete americane */
public class Purse  {
  /** Chiede all'utente i valori iniziali
      di monetine possedute */
  public Purse() {
    String input;
    // Per ogni variabile istanza leggiamo
    // un intero e lo assegnamo
    input = JOptionPane.showInputDialog("Quanti penny hai attualmente?");
    this.pennies = Integer.parseInt(input);
    input = JOptionPane.showInputDialog("Quanti nickel hai attualmente?");
    this.nickels = Integer.parseInt(input);
    input = JOptionPane.showInputDialog("Quanti dime hai attualmente?");
    this.dimes = Integer.parseInt(input);
    input = JOptionPane.showInputDialog("Quanti quarter hai attualmente?");
    this.quarters = Integer.parseInt(input);
    JOptionPane.showMessageDialog(null, "Hai creato correttamente il tuo borsellino");
  }
  /** Aggiunge dei penny al borsellino 
      @param pennies il numero di penny */
  public void addPennies(int pennies) {
    this.pennies = this.pennies + pennies;
  }
  /** Aggiunge dei nickel al borsellino 
      @param nickels il numero di nickel */
  public void addNickels(int nickels) {
    this.nickels = this.nickels + nickels;
  }
  /** Aggiunge dei dime al borsellino 
      @param dimes il numero di dime */
  public void addDimes(int dimes) {
    this.dimes = this.dimes + dimes;
  }
  /** Aggiunge dei quarter al borsellino 
      @param quarters il numero di quarter */
  public void addQuarters(int quarters) {
    this.quarters = this.quarters + quarters;
  }
  public double getTotal() {
  double total = pennies * PENNIES_VALUE +
                 nickels * NICKELS_VALUE +
                 dimes * DIMES_VALUE +
                 quarters * QUARTERS_VALUE;
  return total;
  }
  /** Calcola il valore in dollari delle monete
      @returns il numero di dollari senza decimali */
  public int getDollars () {
      double total = getTotal();
      int dollars = (int) Math.floor(total);
      return dollars;
  }
  /** Calcola il numero di penny che rimangono
      togliendo i dollari interi dal valore totale
      */ 
  public int getPennies() {
      double decimali = getTotal() - 
                        getDollars();
      // I dollari hanno al massimo 2 decimali
      int pennies = (int)(decimali * 100);
      return pennies;
  }
  // Variabili Istanza
  private int pennies;

  private int nickels;

  // Numero dei nickels 
  private int dimes;

  private int quarters;

  // Costanti pubbliche
  /** Valore in dollari di un penny */
  public static final double PENNIES_VALUE = 0.01;

  /** Valore in dollari di un nickel */
  public static final double NICKELS_VALUE = 0.05;

  /** Valore in dollari di un dime */
  public static final double DIMES_VALUE = 0.1;

  /** Valore in dollari di un quarter */
  public static final double QUARTERS_VALUE = 0.25;
}
